Subject: Re: how to reduce disk usage for large .git dirs?

From: Olaf Hering <[email-masked]>
Date: Fri, 14 Nov 2014 11:30:13 +0100

On Fri, Nov 14, Fredrik Gustafsson wrote:

> On Fri, Nov 14, 2014 at 11:14:27AM +0100, Olaf Hering wrote:
> > So my repo-master is now "bare". I pushed from repo-branchA into
> > repo-master and see my commits in both repos. But pushing from
> > repo-master to the remote fails because repo-master does not have
> > outstanding remote commits. However, git fetch doesnt do anything:
> 
> Are you mixing up your branches? So that you're updating one branch in
> your master repo but trying to push an other branch to your remote repo?

I dont think so. I have branchA in repo-branchA, and a 'git push origin
branchA' puts it into repo-master. 
How is a bare repo supposed to be updated? Is a simple 'git fetch --all'
supposed to work?

Olaf